Namespace
library
Image / Tag
consul:0.9.4
Content Digest
sha256:4ba0f59fc1a0392539e09cb134e2f3b5b6421267007a94854578f2f54e82e0ad
Details
Created

2020-04-24 04:32:22 UTC

Size

13.6 MB

Content Digest
Environment
CONSUL_VERSION

0.9.4

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:2f4fdbe0599cb5bbd0664b1cdad4997f428ce2495ae3eabf942129dc197d991c - 19.42% (2.64 MB)

[#001] sha256:c3dde02e4ce4dd058fad4111743215f058954357fc76e8e20fb918adc771dfe3 - 0.01% (1.23 KB)

[#002] sha256:d5c1e7e0fb63189ec6bfbb90501d4f96dc49953831824701ae5a10ca0491f5cd - 80.56% (11 MB)

[#003] sha256:2b85c312c486461e74b80e7b051099d2df0cd64a79c2696da5a1d88e89819cdf - 0.0% (143 Bytes)

[#004] sha256:b13c19a5bad8979d00839c34c4d237be507d819433fdb4e4269ff08a37fd95e9 - 0.0% (154 Bytes)

[#005] sha256:94136c6ef89b0afa76471ccebd405716f5ddbb1e77c70fd2565218903d226c28 - 0.01% (1.64 KB)


History
2020-04-23 21:16:18 UTC

/bin/sh -c #(nop) ADD file:68d5786259963a2b97cf808d79de83cbd0281dfea284e1a401bc851a3585e1bd in /

2020-04-23 21:16:19 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-04-24 04:30:33 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-04-24 04:32:14 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=0.9.4

2020-04-24 04:32:15 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-04-24 04:32:15 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-04-24 04:32:19 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-04-24 04:32:19 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-04-24 04:32:20 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-04-24 04:32:21 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-04-24 04:32:21 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-04-24 04:32:21 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-04-24 04:32:21 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-04-24 04:32:21 UTC

/bin/sh -c #(nop) COPY file:2fc9ee792fd5d6e21568c1fcc92d825866250fafd9f3c82331ad98c840b3dd45 in /usr/local/bin/docker-entrypoint.sh

2020-04-24 04:32:22 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-04-24 04:32:22 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-04-24 14:18:57 UTC

Size

13.9 MB

Content Digest
Environment
CONSUL_VERSION

0.9.4

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:31603596830fc7e56753139f9c2c6bd3759e48a850659506ebfb885d1cf3aef5 - 19.01% (2.64 MB)

[#001] sha256:06581be0c8fce2e8ddf90d44df0d6a29224c5dcb31339cda459cc3d486e72b8d - 0.01% (1.23 KB)

[#002] sha256:dfb66ec35f9121e7677d30c091b420ce435d6d47837ee6fbd48b3376c2f317e7 - 80.97% (11.3 MB)

[#003] sha256:a956dd1b0309547d7610dce14fdb95fd4de87b0242ec02249cfef2d431eadd87 - 0.0% (143 Bytes)

[#004] sha256:2230a0a0602959bfc3437fae33d21276f3def02064f6cefa173f0eb70627b2d3 - 0.0% (153 Bytes)

[#005] sha256:49daf8d8264a33688bcddfd7e282d3547ae32d45f9c0a178fb90cd338f856c65 - 0.01% (1.64 KB)


History
2020-04-24 01:05:35 UTC

/bin/sh -c #(nop) ADD file:a0afd0b0db7f9ee9496186ead087ec00edd1386ea8c018557d15720053f7308e in /

2020-04-24 01:05:35 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-04-24 14:17:15 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-04-24 14:18:50 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=0.9.4

2020-04-24 14:18:50 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-04-24 14:18:51 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-04-24 14:18:54 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-04-24 14:18:55 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-04-24 14:18:55 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-04-24 14:18:56 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-04-24 14:18:56 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-04-24 14:18:56 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-04-24 14:18:56 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-04-24 14:18:56 UTC

/bin/sh -c #(nop) COPY file:2fc9ee792fd5d6e21568c1fcc92d825866250fafd9f3c82331ad98c840b3dd45 in /usr/local/bin/docker-entrypoint.sh

2020-04-24 14:18:57 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-04-24 14:18:57 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-04-23 16:58:29 UTC

Size

13.1 MB

Content Digest
Environment
CONSUL_VERSION

0.9.4

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:27da80392aebe463671b839837d59af1261218364b4261ceb2eca0f814075270 - 18.54% (2.43 MB)

[#001] sha256:76cd6ccb5c863262652eb924f8fad144167bc57c0d809638215e0b7ee9fbf24b - 0.01% (1.25 KB)

[#002] sha256:3e33b1c033f4186a0a18e46808783676a25e443b2ef4db7613505f75e3adb683 - 81.43% (10.7 MB)

[#003] sha256:4ce2b4a49fbd7a45b7e64b1dc4909e585d0c5ac77bdeb3332b39e3c3538c94bf - 0.0% (176 Bytes)

[#004] sha256:c92133243f7d8f6ea4f2cc13d1ee9ffcc95daa49bc59fbe68f5015626a5bf0f2 - 0.0% (155 Bytes)

[#005] sha256:abfe004a5f39aafa0e044b0d38c6724bf0731fdc42d563c3736a01a9541aef70 - 0.01% (1.64 KB)


History
2020-04-23 15:51:44 UTC

/bin/sh -c #(nop) ADD file:7dd2657543fac7f63a125194d27bd38a8e472a3076831a2331c43a471794c210 in /

2020-04-23 15:51:45 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-04-23 16:53:13 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-04-23 16:58:10 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=0.9.4

2020-04-23 16:58:10 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-04-23 16:58:13 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-04-23 16:58:19 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-04-23 16:58:21 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-04-23 16:58:23 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-04-23 16:58:24 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-04-23 16:58:25 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-04-23 16:58:25 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-04-23 16:58:26 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-04-23 16:58:27 UTC

/bin/sh -c #(nop) COPY file:2fc9ee792fd5d6e21568c1fcc92d825866250fafd9f3c82331ad98c840b3dd45 in /usr/local/bin/docker-entrypoint.sh

2020-04-23 16:58:28 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-04-23 16:58:29 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-04-24 09:26:36 UTC

Size

13.2 MB

Content Digest
Environment
CONSUL_VERSION

0.9.4

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:941f399634ec37b35e6764d0e6cf350593652f06f76586d45ddfc0d77de7a701 - 19.54% (2.57 MB)

[#001] sha256:6ab2f6f245af6ab59413e66a0ae48f525b19912c88fc037fcf2899f42124ed3d - 0.01% (1.25 KB)

[#002] sha256:5adb5a8a825ef20b3e29483d4fad5a95a00501d854bbb2059963aab85e01671f - 80.44% (10.6 MB)

[#003] sha256:0fb37657561d45f54c0ce34d30d42e501b2a929e6a8aa53891e63908d0daef81 - 0.0% (174 Bytes)

[#004] sha256:44b007c82679f40e214770fdc37821e9cc357a85a1062dd6a0ec8b71b0bd85db - 0.0% (153 Bytes)

[#005] sha256:4e94889428efe34880702e5d10742fce75f5776a0357d8c94af06b1243b61a3b - 0.01% (1.64 KB)


History
2020-04-24 00:15:12 UTC

/bin/sh -c #(nop) ADD file:da3ddeca2212f561c1f428b662a1f1f1200e2d18a42bffb28a0322c235f06582 in /

2020-04-24 00:15:15 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-04-24 09:22:17 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-04-24 09:26:18 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=0.9.4

2020-04-24 09:26:19 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-04-24 09:26:21 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-04-24 09:26:26 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-04-24 09:26:29 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-04-24 09:26:31 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-04-24 09:26:31 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-04-24 09:26:32 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-04-24 09:26:33 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-04-24 09:26:33 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-04-24 09:26:34 UTC

/bin/sh -c #(nop) COPY file:2fc9ee792fd5d6e21568c1fcc92d825866250fafd9f3c82331ad98c840b3dd45 in /usr/local/bin/docker-entrypoint.sh

2020-04-24 09:26:35 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-04-24 09:26:36 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]